1.17.3

2 min read

Released on 04/09/2021

Deprecation Notice: We strongly recommend using version 1.17.4 instead of 1.17.3 if at all possible. Version 1.17.3 includes only a partial fix for the malformed envproxy_access_url on built-in workspace providers; 1.17.4 includes a complete fix for this issue.

Breaking changes ❗

  • infra: Removed tolerations from workspaces as code templates.

Features ✨

  • web: Added a toggle to enable/disable workspaces as code on the Manage > Admin > Templates page. Disabling workspaces as code has the following impact:
    • New workspaces cannot be created from a template.
    • Existing workspaces built from a template will continue to operate and may be rebuilt. These workspaces will still be notified of changes to remote templates.
  • infra: Added beta support for NVIDIA GPUs in environments created as container-based virtual machines (CVMs).
    • NVIDIA GPUs can be added to container-based virtual machines (CVMs) on bare metal clusters. GKE and other cloud providers are currently not supported at this time.
  • web: Environments can now be created with multiple GPUs (maximum number of GPUs: 20).

Bug fixes 🐛

  • web: Fixed Application icons appearing broken and the workspace provider ping indicator remaining in an error state. The underlying cause was a malformed envproxy_access_url on built-in workspace providers.
  • web: Fixed an issue causing workspace providers to incorrectly appear in an error state on the Manage > Admin > Workspace Providers page.

Security updates 🔐

There are no security updates in 1.17.3.

Our docs are open source. See something wrong or unclear? Make an edit.